# Visualization
TKV3d
Graphic3d

# Graphic3d_HSetOfGroup Class Reference

`#include <Graphic3d_HSetOfGroup.hxx>`

## Public Member Functions

Standard_EXPORT | Graphic3d_HSetOfGroup ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_Boolean | Add (const Handle(Graphic3d_Group)&T)
Standard_Boolean | Remove (const Handle(Graphic3d_Group)&T)
Standard_EXPORT Handle_Graphic3d_HSetOfGroup | Union (const Handle(Graphic3d_HSetOfGroup)&B) const
Standard_EXPORT Handle_Graphic3d_HSetOfGroup | Intersection (const Handle(Graphic3d_HSetOfGroup)&B) const
Standard_EXPORT Handle_Graphic3d_HSetOfGroup | Difference (const Handle(Graphic3d_HSetOfGroup)&B) const
Standard_Boolean | Contains (const Handle(Graphic3d_Group)&T) const
Standard_Boolean | IsASubset (const Handle(Graphic3d_HSetOfGroup)&S) const
Standard_Boolean | IsAProperSubset (const Handle(Graphic3d_HSetOfGroup)&S) const
Standard_EXPORT Handle_Graphic3d_HSetOfGroup | ShallowCopy () const
const Graphic3d_SetOfGroup & | Set () const
Graphic3d_SetOfGroup & | ChangeSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Graphic3d_SetOfGroup | mySet

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_HSetOfGroup::Graphic3d_HSetOfGroup | ( |  | ) |

## Member Function Documentation

Standard_Boolean Graphic3d_HSetOfGroup::Add | ( | const Handle(Graphic3d_Group)& | T | ) |

Graphic3d_SetOfGroup& Graphic3d_HSetOfGroup::ChangeSet | ( |  | ) |

void Graphic3d_HSetOfGroup::Clear | ( |  | ) |

Standard_Boolean Graphic3d_HSetOfGroup::Contains | ( | const Handle(Graphic3d_Group)& | T | ) | const

Standard_EXPORT Handle_Graphic3d_HSetOfGroup Graphic3d_HSetOfGroup::Difference | ( | const Handle(Graphic3d_HSetOfGroup)& | B | ) | const

Standard_Integer Graphic3d_HSetOfGroup::Extent | ( |  | ) | const

Standard_EXPORT const Graphic3d_HSetOfGroup::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_Graphic3d_HSetOfGroup Graphic3d_HSetOfGroup::Intersection | ( | const Handle(Graphic3d_HSetOfGroup)& | B | ) | const

Standard_Boolean Graphic3d_HSetOfGroup::IsAProperSubset | ( | const Handle(Graphic3d_HSetOfGroup)& | S | ) | const

Standard_Boolean Graphic3d_HSetOfGroup::IsASubset | ( | const Handle(Graphic3d_HSetOfGroup)& | S | ) | const

Standard_Boolean Graphic3d_HSetOfGroup::IsEmpty | ( |  | ) | const

Standard_Boolean Graphic3d_HSetOfGroup::Remove | ( | const Handle(Graphic3d_Group)& | T | ) |

const Graphic3d_SetOfGroup& Graphic3d_HSetOfGroup::Set | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_HSetOfGroup Graphic3d_HSetOfGroup::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_HSetOfGroup Graphic3d_HSetOfGroup::Union | ( | const Handle(Graphic3d_HSetOfGroup)& | B | ) | const

## Field Documentation

Graphic3d_SetOfGroup Graphic3d_HSetOfGroup::mySet `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_HSetOfGroup.hxx